Class | ActiveRecord::Associations::ClassMethods::JoinDependency::JoinBase
In: | lib/active_record/associations.rb
Parent: | Object

### Methods

aliased_prefix aliased_primary_key aliased_table_name column_names_with_alias extract_record instantiate new record_id

### Attributes

active_record | [R] |
table_joins | [R] |

### Public Class methods

new(active_record, joins = nil)

### Public Instance methods

aliased_prefix()
aliased_primary_key()
aliased_table_name()
column_names_with_alias()
extract_record(row)
instantiate(row)
record_id(row)

[Validate]